# $Revision: 1.17 $, $Date: 2007/06/14 18:44:51 $
Summary:	C++ library for reading and writing Zip files
Summary(pl.UTF-8):	Biblioteka C++ do odczytu i zapisu plików Zip
Name:		zipios++
Version:	0.1.5
Release:	4
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/zipios/%{name}-%{version}.tar.gz
# Source0-md5:	da66383f6dd70b4766252fec3ff3d7bb
Patch0:		%{name}-shared.patch
Patch1:		%{name}-c++.patch
Patch2:		%{name}-gcc.patch
Patch3:		%{name}-gcc42.patch
URL:		http://zipios.sourceforge.net/
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Zipios++ is a java.util.zip-like C++ library for reading and writing
Zip files. Access to individual entries is provided through standard
C++ iostreams. A simple read-only virtual file system that mounts
regular directories and zip files is also provided.

%description -l pl.UTF-8
Zipios++ jest jak java.util.zip biblioteką C++ do odczytywania oraz
zapisywania plików Zip. Dostęp do pojedyńczych wpisów jest możliwy
poprzez standardowe strumienie we/wy C++. Prosty wirtualny system
plików (tylko do odczytu) montujący regularne katalogi oraz pliki zip
również jest dostarczany.

%package devel
Summary:	Header files for zipios++
Summary(pl.UTF-8):	Pliki nagłówkowe zipios++
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	zlib-devel

%description devel
The header files are only needed for development of programs using the
zipios++.

%description devel -l pl.UTF-8
W pakiecie tym znajdują się pliki nagłówkowe, przeznaczone dla
programistów używających bibliotek zipios++.

%package static
Summary:	Static zipios++ libraries
Summary(pl.UTF-8):	Biblioteki statyczne zipios++
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static zipios++ libraries.

%description static -l pl.UTF-8
Biblioteki statyczne zipios++.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/zipios++

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: zipios++.spec,v $
Revision 1.17  2007/06/14 18:44:51  arekm
- rel 4

Revision 1.16  2007/02/12 22:09:26  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.14  2006/12/24 01:56:00  czarny
- patch 4 gcc42

Revision 1.13  2004/11/11 20:01:02  darekr
- typo

Revision 1.12  2004/10/30 12:17:48  paladine
- spaces->tabs

Revision 1.11  2004/04/10 13:07:52  qboosh
- added gcc patch, builds now; release 3

Revision 1.10  2003/05/26 16:25:54  malekith
- massive attack: adding Source-md5

Revision 1.9  2003/05/25 06:28:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/03/17 01:54:56  qrczak
- zipios++-c++.patch: fix invalid C++ to compile with gcc3.
- Release 2.

Revision 1.7  2003/03/13 11:23:43  qboosh
- working Source URL, minor fixed where needed

Revision 1.6  2002/11/29 22:48:33  ankry
- massive attack: new %%doc

Revision 1.5  2002/10/09 13:14:52  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.4  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.3  2002/05/21 23:15:10  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.2  2002/04/20 12:27:40  kloczek
- added missing "rm -f missing" on top %build.

Revision 1.1  2002/04/20 12:07:12  misiek
- initial pld release
